<?php

namespace Drupal\simple_survey\Event;

use Drupal\Component\EventDispatcher\Event;
use Drupal\simple_survey\Entity\SurveyResponseInterface;

class SentBqEvent extends Event {

  const SENT_TO_BQ = 'sent_to_bigquery';

  /**
   * The survey response.
   *
   * @var \Drupal\simple_survey\Entity\SurveyResponseInterface
   */
  public $survey_response;

  /**
   * The survey response.
   *
   * @param SurveyResponseInterface $survey_response
   */
  public function __construct(SurveyResponseInterface $survey_response) {
    $this->survey_response = $survey_response;
  }
}
