<?php

namespace Drupal\simple_survey\EventSubscriber;

use Drupal\simple_survey\Event\SentBqEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class SentBqEventSubscriber implements EventSubscriberInterface {

  /**
   * {@inheritDoc}
   */
  public static function getSubscribedEvents(): array {
    return [
      SentBqEvent::SENT_TO_BQ => 'onSentToBq',
    ];
  }

  public function onSentToBq(SentBqEvent $event) {
    $survey_response = $event->survey_response;
    $survey_response->set('sent_to_bq', TRUE);
    $survey_response->save();
  }
}
